<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="What you need to do to keep organic food prices down" />
<meta property="og:description" content="If, like lots of people, you have decided to &ldquo;go organic&rdquo;, you&rsquo;re probably wondering what effect organic food prices will have on your grocery bills.
Well, brace yourself because they are going to go up. But don&rsquo;t worry - read on.
Organic food prices are definitely higher than &ldquo;normal&rdquo; food prices. You might be asking why this is the case, when organic produce doesn&rsquo;t have any of the added extras&ndash;insecticides, herbicides, fungicides, fertilizers , etc." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/blogs/198" />


<meta property="og:updated_time" content="2011-01-12T17:48:35&#43;00:00"/>











<meta itemprop="name" content="What you need to do to keep organic food prices down">
<meta itemprop="description" content="If, like lots of people, you have decided to &ldquo;go organic&rdquo;, you&rsquo;re probably wondering what effect organic food prices will have on your grocery bills.
Well, brace yourself because they are going to go up. But don&rsquo;t worry - read on.
Organic food prices are definitely higher than &ldquo;normal&rdquo; food prices. You might be asking why this is the case, when organic produce doesn&rsquo;t have any of the added extras&ndash;insecticides, herbicides, fungicides, fertilizers , etc.">


<meta itemprop="dateModified" content="2011-01-12T17:48:35&#43;00:00" />
<meta itemprop="wordCount" content="734">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="What you need to do to keep organic food prices down"/>
<meta name="twitter:description" content="If, like lots of people, you have decided to &ldquo;go organic&rdquo;, you&rsquo;re probably wondering what effect organic food prices will have on your grocery bills.
Well, brace yourself because they are going to go up. But don&rsquo;t worry - read on.
Organic food prices are definitely higher than &ldquo;normal&rdquo; food prices. You might be asking why this is the case, when organic produce doesn&rsquo;t have any of the added extras&ndash;insecticides, herbicides, fungicides, fertilizers , etc."/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="198.html">

    <title>What you need to do to keep organic food prices down | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="../about-kamikaze-cookery/index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="198.html">What you need to do to keep organic food prices down</a></h2>
    <p class="blog-post-meta"><time datetime="2011-01-12T17:48:35Z">Wed Jan 12, 2011</time> by wpengine</p>
  </header>
  <p>If, like lots of people, you have decided to &ldquo;go organic&rdquo;, you&rsquo;re probably wondering what effect organic food prices will have on your grocery bills.</p>

<p>Well, brace yourself because they are going to go up. But don&rsquo;t worry - read on.</p>

<p>Organic food prices are definitely higher than &ldquo;normal&rdquo; food prices. You might be asking why this is the case, when organic produce doesn&rsquo;t have any of the added extras&ndash;insecticides, herbicides, fungicides, fertilizers , etc. We don&rsquo;t want you to nod off in the middle of reading this, so we&rsquo;ll leave the complicated facts about exactly why organic produce is pricier than conventional produce for another time (when you have insomnia, perhaps). In a nutshell, organic is more expensive because the systems used by organic farmers are laborious and time-intensive. In addition, organic farmers don&rsquo;t get the government subsidies that a lot of conventional farmers do.</p>

<p>(If you care about farmers at all, incidentally, you should also be thinking Fair Trade or similar. Read our article about <a href="http://www.kamikazecookery.com/blogs/198/www.kamikazecookery.com/blogs/197">fair trade chocolate facts</a> to find out why. )</p>

<p>Anyway, you&rsquo;re thinking about going organic and that deserves a pat on the back! Go you! Fancy some good news? You won&rsquo;t need to take a second mortgage out on your home to afford those organic apples (unless they&rsquo;re diamond-encrusted as well). Obviously prices vary depending on where you shop, but generally you should only expect to pay around 5c more for an organic apple. For a week&rsquo;s supply of fruit&ndash;apples, bananas, oranges and strawberries&ndash;there should only be around $1.50 increase in your bill. (<em>About the same for savvily-shopped UK organic produce, in pounds - Hugh</em>)</p>

<p>The best tip when it comes to organic food shopping is to be a more savvy customer. Look for discounted organic produce (fruit and vegetables often get reduced, which may bring their cost down to even less than their non-organic counterparts). Get rummaging in those bargain bins, and buy in bulk wherever you can. Not when it comes to those apples, unless you have a serious fruit addiction, in which case organic food prices is the least of your worries! It makes sense to bulk-buy pasta, rice, beans and other produce that has a long shelf life, if it means taking advantage of decent discounts.</p>

<p>Follow these other tips to save money on your organic grocery bill:</p>

<ol>
<li><p>Join a CSA (Community Supported Agriculture) to get your hands on food that is both fresher and cheaper than supermarket ranges. Food co-ops are another good bet.</p></li>

<li><p>Stay away from convenience food, which is far pricier than making meals from scratch. Who knows, you might unearth some hidden culinary skills and become the next Gordon Ramsay&ndash;and then you won&rsquo;t need to worry so much about your weekly food budget.</p></li>

<li><p>Make meals in large quantities and freeze them in individual portions.</p></li>

<li><p>Cut down on waste. Eat every part of your organic vegetables. Cauliflower stalks, potato skins and lemon zest can all be used in a ton of recipes (peach stones are not so tasty, however…)</p></li>

<li><p>Plan your weekly meals in advance and buy only the ingredients you need. Make a list before each grocery store trip and don&rsquo;t be distracted&ndash;do not pass go; DO pass those tempting snack foods!</p></li>

<li><p>Look for cheaper cuts of organic meat, such as stew beef. You can also cut down on the amount of meat you eat by using more of other high-protein ingredients, like lentils and beans, which are far cheaper. (<em>And of course you can use <a href="133.html">sous vide</a> cooking with a lot of tougher meats if you&rsquo;ve got the kit - Hugh</em>)</p></li>

<li><p>Grow your own fruit and vegetables at home. Even if you only have room for a window box of herbs or tomatoes, that&rsquo;s something you don&rsquo;t need to buy at the store!</p></li>

<li><p>Visit your local farmers&rsquo; market. You can give yourself another big pat on the back (watch you don&rsquo;t choke on that halo) for supporting your local farming community, plus you will benefit from lower prices than at the store. If you&rsquo;re lucky, some of the farmers might even let you haggle with them. Prices vary between farms, so you might want to go a bit further afield to find the best prices.</p></li>

<li><p>Go foraging for wild food. Yes, even you city dwellers&ndash;get hunting for fresh herbs and fruit trees. Draw the line at rummaging through your neighbor&rsquo;s trash though; you don&rsquo;t want to get arrested.</p></li>
</ol>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f198" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f198" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f198" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f198" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="198.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
